<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="java.util.*"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.view.MobileGatewayUser"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.util.MobileGatewaySession"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.util.ExternalServiceResponse"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.util.ExternalServiceResponseCode"%>
<%@ page import="com.alarmpoint.apex.mobilegateway.util.ExternalServiceRequest"%>
<%@ page import="com.invoqsystems.apex.exceptions.AlarmPointDatabaseException"%>
<%@ page import="com.invoqsystems.apex.exceptions.AlarmPointNetworkException"%>
<%@ page import="com.invoqsystems.apex.web.exceptions.AlarmPointTimeOutException"%>
<%@ page import="com.alarmpoint.integration.*"%>
<%@ page import="com.alarmpoint.integrations.nnmi.mg.*"%>
<%@ page import="com.hp.ov.nms.sdk.incident.*"%>
<%@ page import="com.hp.ov.nms.sdk.incident.IncidentBeanServiceStub.*"%>

<jsp:useBean class="com.alarmpoint.apex.mobilegateway.util.MobileGatewaySession" id="mobileGatewaySession" scope="session" />

<%
//Get the updated event from the session
Incident updatedEvent = (Incident)session.getAttribute("event");
String eventNumber = (String)updatedEvent.get( "Incident_ID" );

if ( request.getParameter("cancelUpdate") != null )
{
  String status = "&message=Update Cancelled";
  %>
  <jsp:forward page="<%=response.encodeURL("loadEvent.jsp?tab=Basics&Incident_ID="+eventNumber+status)%>"/>
  <%
}

//Retrieve the possibly updated event from HPMOU
ExternalServiceRequest esr = mobileGatewaySession.createExternalServiceRequest();
ExternalServiceResponse resps;
esr.setAction( "getIncident" );
esr.addToken( "Incident_ID", eventNumber );
%>
<%@ include file="includes/sendRequest.jsp"%>
<%
if( resps.getResponse() instanceof String )
{
  String status = "&errorMessage="+resps.getResponse();
  %>
  <jsp:forward page="<%=response.encodeURL("updateEvent.jsp?tab=Basics"+status)%>"/>
  <%
}
Incident oldEvent = (Incident)resps.getResponse();

// Set the original event
Incident orgEvent = (Incident)session.getAttribute("orgEvent");

boolean hasConflict = false;
if( request.getParameter("forceUpdate") == null )
{
  %>
  <%@ include file="includes/diff.jsp"%>
  <%
}
if( !hasConflict )
{
  esr = mobileGatewaySession.createExternalServiceRequest();
  esr.setAction("saveIncident");
  esr.addToken("Incident_ID", (String)updatedEvent.get("Incident_ID"));
  esr.addToken("Incident_Text", (String)updatedEvent.get("Incident_Text"));
  esr.addToken("Severity", (String)updatedEvent.get("Severity"));
  %>
  <%@ include file="includes/sendRequest.jsp"%>
  <%

  String exception = (String)resps.getResponse();
  String status;

  if ( exception == null )
  {
    status = "&message=Modified";

    %>
    <jsp:forward page="<%=response.encodeURL("loadEvent.jsp?tab=Basics&Incident_ID="+eventNumber+status)%>"/>
    <%
  } else
  {
      status = "?errorMessage="+exception;
      %>
      <jsp:forward page="<%=response.encodeURL("updateEvent.jsp?tab=Basics"+status)%>"/>
      <%
  }
}
%>
