<!DOCTYPE html PUBLIC "-//OMA//DTD XHTML Mobile 1.0//EN" "http://www.openmobilealliance.org/tech/DTD/xhtml-mobile10.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>xMatters mobile access</title>
    <link rel="SHORTCUT ICON" href="/mg/images/logos/xmatters/favicon.ico" type="image/x-icon" />

    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="Cache-Control" content="max-age=0" />
    <meta http-equiv="Pragma" content="no-cache" />
    <meta http-equiv="Expires" content="-1" />
    <!-- IE Mobile Meta Tag (optimized for 100% of the screen width) -->
    <meta name="MobileOptimized" content="100" />

    <c:set var="override" value="true"/>

    <%@ include file="../../../includes/ipad_include.jsp"%>

  </head>

  <body>
      <div id="header">
        <% String pageURL = action+"Event.jsp"; %>
        <input type="hidden" name="pageURL" value="<%=pageURL%>"/>
        <%
        String tab = request.getParameter( "tab" );
        if ( tab != null )
        {
          %>
          <input type="hidden" name="tab" value="<%=tab%>"/>
          <%
        }
        tab = (tab == null ? "" : tab);
        Incident event = (Incident)session.getAttribute("event");
        List<Field> fields = new ArrayList<Field>();
        Collection<String> requiredFields = new ArrayList<String>();
        %>
        <%@ include file="initialize.jsp"%>
        <%

        String heading = "HPNNMi";
        if ( event != null )
        {
            %>
          <%
          String msgtext = (String)event.getFormattedMessage();
          if (msgtext != null && msgtext.length() > 0) {
              heading = msgtext;
          } 
          int MAX_HEADER = "true".equalsIgnoreCase((String)session.getAttribute("isIpad")) ? 40 : 24;
          if( heading.length() > MAX_HEADER )
          {
            heading = heading.substring(0, MAX_HEADER-3) + "...";
          }
        }
        %>
        <h1><%=heading%></h1>


      </div>

    <div id="wrapper">
      <div id="scroller">
        <div class="main box">
          <div class="lining">
            <form name="form" action="<%=response.encodeURL("action.jsp")%>?tab=${param.tab}&pageURL=updateEvent.jsp&Incident_ID=<%=event.getId()%>" method="POST">

            <c:choose>
              <c:when test="${!empty sessionScope.isIpad}">
                <%@ include file="eventMenuIPad.jsp"%>
              </c:when>
              <c:otherwise>
                <%@ include file="eventMenu.jsp"%>
              </c:otherwise>
            </c:choose>
            <%@ include file="eventContent.jsp"%>
        <%
        if( request.getParameter("errorMessage") != null )
        {
          // parse the error message to just show the problem
          String parsedErrorMessage = "";
          String[] errorMessages = request.getParameter( "errorMessage" ).split(";");
          if (errorMessages.length > 1) {
            for (int x=1; x < errorMessages.length; x++) {
              parsedErrorMessage += errorMessages[x];
            }
          } else {
            parsedErrorMessage = errorMessages[0];
          }
          out.print( "<div class=\"alert-message\">" + parsedErrorMessage + "</div>" );
        }
        else if ( request.getParameter("message") != null )
        {
          out.print( "<div class=\"success-message\">" + request.getParameter("message") + "</div>" );
        }

        if ( event != null )
        {
          if ( "ChildIncidents".equals( tab ) )
          {
            %><%@include file="childIncidents.jsp"%><%
          }
          else
          {
          %>
          <table width="100%" class=" text no-border">
          <%
            // Render all Fields defined in createFields or updateFields
            for ( Field field : fields )
            {
              String label = field.getLabel();
              FieldType type = field.getType();
              String labelAttr = " class=\"optional\"";
              String value = (String)field.getValue();

              if ( FieldType.HIDDEN.equals( type ) )
              {
                %><input type="hidden" name="<%=label%>" value="<%=value%>"/><%
                continue;
              }

                if (field.getRequired()) {
                  labelAttr = " class=\"required\"";
                }

                %>
                <a name="<%=label%>"/>
                <tr>
                  <td><label<%=labelAttr%>><%=label%>:</label></td>
                  <td>
                <%


              // Display a field according to field Type
              %><%@include file="eventField.jsp"%><%

              // Display End row tag if field type is not Table
              if ( !(type.equals(FieldType.TABLE)) )
              {
              %>
                </td>
              </tr>
              <%
              }
            }
            %>
            <tr>
              <%
              if ( tab.equals( "AddAnnotation" ) )
              {
              %>
              <td></td>
              <td><input type="submit" class="button scroll" name="action" value="Update Notes" /></td>
              <%
              }
              else if ( tab.equals( "Basics" ) )
              {
              %>
              <td></td>
              <td><input type="submit" class="button scroll" name="action" value="Save" /></td>
              <%
              }
              else if ( tab.equalsIgnoreCase( "actions" ) )
              {
              %>
              <td></td>
              <td><input type="submit" class="button scroll" name="action" value="Perform Action" /></td>
              <%
              }
              %>
            </tr>
          </table>
          <%

          }
        }
        %>
            </form>
          </div>
        </div>
      </div>
    </div>
    <%@ include file="standardFooter.jsp"%>
  </body>
</html>
