<%
int start = 0;
session.setAttribute("eventHeaders", eventHeaders);
if(eventHeaders == null || eventHeaders.isEmpty())
{
  out.print("<div class=\"msg-warning\">No Incidents Returned</div>");
}
else if(eventHeaders.size() == 1 && !(request.getParameter("tab") != null && request.getParameter("tab").equals("ChildIncidents"))  )
{
  String id = (String)eventHeaders.get(0).getId();
  %>
  <jsp:forward page="<%=response.encodeURL("loadEvent.jsp?tab=Basics&Incident_ID="+id)%>"/>
  <%
}
else
{
  %>
  <table width="100%">
    <tr>
      <th>S/P/LS/F</th>
      <th>Node</th>
      <th>Message</th>
    </tr>
    <%
    String oddeven = "odd";

    if( request.getParameter("page") != null )
      start = RESULTS_PER_PAGE * Integer.valueOf( request.getParameter("page") );
    int end = start + RESULTS_PER_PAGE;

    if ( eventHeaders.size() < end )
    {
      end = eventHeaders.size();
    }

    List<Incident> list = eventHeaders.subList( start, end );
    for ( Incident header : list )
    {
      String id = header.getId();
      java.util.regex.Pattern p = java.util.regex.Pattern.compile( "([A-Za-z]+)[0]+([0-9]+)" );
      java.util.regex.Matcher match = p.matcher( id );
      String displayId = id;
      if ( match.find() && match.groupCount() == 2 )
      {
          displayId = match.group(1)+match.group(2);
      }

      String severity = header.getSeverity().toString().toLowerCase().trim();
      String displaySeverity = severity;
      String classSeverity = severity;
      if ( severity.equalsIgnoreCase( "Critical" ) ) {
          displaySeverity = "Crit";
      }
      else if ( severity.equalsIgnoreCase( "Major" ) ) {
          displaySeverity = "Maj";
      }
      else if ( severity.equalsIgnoreCase( "Minor" ) ) {
          displaySeverity = "Min";
      }
      else if ( severity.equalsIgnoreCase( "Warning" ) ) {
          displaySeverity = "Warn";
      }
      else if ( severity.equalsIgnoreCase( "Normal" ) ) {
          displaySeverity = "Norm";
      }
      else if ( severity.equalsIgnoreCase( "Normal" ) ) {
          displaySeverity = "Norm";
      }
      else if ( severity.equalsIgnoreCase( "Unknown" ) ) {
          displaySeverity = "Unk";
      }


      String node = (String)header.getSourceNodeName();
      String messageText = (String)header.getFormattedMessage();
      String owned = (String)header.getAssignedTo();
      if (owned != "" && owned != null) {
        owned = "true";
      } else {
        owned = "false";
      }
      String owner = (String)header.getAssignedTo();
      if ("true".equalsIgnoreCase(owned)) {
          if (((String)session.getAttribute("nnmiUser")).startsWith(owner)) {
            classSeverity = "owner";
          } else {
            classSeverity = "owned";
          }
      }

      String link = "loadEvent.jsp?tab=Basics&Incident_ID=" + id;
      String encodedLink = response.encodeURL(link);

      // trim node
      if (node.length() > MAX_SUMMARY_NODE_IN_CHARACTERS) {
        node = node.substring(0, (MAX_SUMMARY_NODE_IN_CHARACTERS));
      }
      // trim messageText
      if (messageText.length() > MAX_SUMMARY_MESSAGE_IN_CHARACTERS) {
        messageText = messageText.substring(0, (MAX_SUMMARY_MESSAGE_IN_CHARACTERS));
      }

    %>
    <tr class="<%=oddeven%>">
      <td class="sev-<%=classSeverity%>"><img title="<%=severity%>" src="images/severity/<%=severity%>.gif" /><img title="<%=getHPObjectSuffix(header.getPriority()).toLowerCase()%>" src="images/priority/<%=getHPObjectSuffix(header.getPriority())%>.gif" /><img title="<%=getHPObjectSuffix(header.getLifecycleState()).toLowerCase()%>" src="images/lifecycleState/<%=getHPObjectSuffix(header.getLifecycleState())%>.gif" /><img title="<%=getHPObjectSuffix(header.getFamily()).toLowerCase()%>" src="images/family/<%=getHPObjectSuffix(header.getFamily())%>.gif" /></td>
      <td><%=node%></td>
      <td><a href="<%=encodedLink%>"><%=messageText%></a></td>
    </tr>
    <%
      if ("odd".equals(oddeven)) {
          oddeven = "even";
      } else {
          oddeven = "odd";
      }

    }
    %>
  </table>
  <%
  int count = 0;

  // Only show the page numbers if there is more than 1 page of results
  if (eventHeaders.size() > RESULTS_PER_PAGE) {
    out.println("<span class=\"pageNumber\">");
    for( int i = 0; i < eventHeaders.size(); i+=RESULTS_PER_PAGE )
    {
      if(i == start)
        out.println(count+1);
      else
        out.println("<a href=\""+response.encodeURL(pageURL+"?page="+count+"&listAttribute="+request.getParameter( "listAttribute" ))+"\">"+(count+1)+"</a>");
      count++;
    }
    out.println("</span>");
  }
}
%>