    <c:if test="${fn:indexOf(header['User-Agent'], 'iPad') != -1}">
      <c:set var="isIpad" scope="session">true</c:set>
    </c:if>

    <c:if test="${!empty sessionScope.isIpad}" >
      <meta name="viewport" content="user-scalable=0, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, width=device-width" />
      <meta name="apple-mobile-web-app-capable" content="yes" />    
      <meta name="apple-mobile-web-app-status-bar-style" content="default" />

      <style type="text/css" media="all" title="xMatters mobile access">
        @import url("/mg/css/hpnnmi_ipad.css");
      </style>


      <c:if test="${!empty override}" >
        <!-- For some reason, this style needs to be overridden here for the iPad on this page!! -->
        <style type="text/css" media="all" title="xMatters mobile access">
          #wrapper {
          		z-index: 1;
          		position: absolute;
          		padding: 10;
          		overflow: auto;
          		top: 45px;
          		bottom: 40px;
          		left: 30px;
          		width: 96.8%;
          }
        </style>
      </c:if>

      <script type="text/javascript" src="/mg/includes/javascript/iscroll.js"/>

      <script type="text/javascript">

        var myScroll;
        
        function loaded() {
            setTimeout( function() {
              myScroll = new iScroll('wrapper');
            }, 100);
            allowInnerSelect("scroll");
        }

        function allowInnerSelect(className) {
          
        	var classInputs = document.getElementsByClassName(className);
        	if (classInputs !== null && classInputs !== undefined && classInputs.length !== null && classInputs.length !== undefined ) 
          {
        		for ( var i=0; i<classInputs.length; i++) 
            {
        		  var inp = classInputs[i];
        			inp.addEventListener('touchstart', function(e) {
        				e.stopPropagation();
        			}, false);
        		}
        	}
        }

        window.addEventListener( 'load', loaded, false);
        document.addEventListener( 'touchmove', function(e) { e.preventDefault(); }, false);
      
      </script>      
    </c:if>
    <c:if test="${empty sessionScope.isIpad}" >
      <style>
        @import url("/mg/css/hpnnmi.css");
      </style>

      <c:if test="${!empty override}" >
        <!-- For some reason, this style needs to be overridden here for the iPad on this page!! -->
        <style type="text/css" media="all" title="xMatters mobile access">
          #wrapper {
          		z-index: 1;
          		position: absolute;
          		padding: 10;
          		overflow: auto;
          		top: 35px;
          		bottom: 40px;
          		left: 10px;
          		width: 97.5%;
          }
        </style>
      </c:if>

    </c:if>

  