<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>xMatters mobile access</title>
    <link rel="SHORTCUT ICON" href="/mg/images/logos/xmatters/favicon.ico" type="image/x-icon" />

    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="Cache-Control" content="max-age=0" />
    <meta http-equiv="Pragma" content="no-cache" />
    <meta http-equiv="Expires" content="-1" />
    <!-- IE Mobile Meta Tag (optimized for 100% of the screen width) -->
    <meta name="MobileOptimized" content="100" />

    <%@ include file="../../../includes/ipad_include.jsp"%>
  </head>

  <body>
    <div id="container">
      <div id="header">
        <img src="/mg/images/misc/spacer.gif" height="35" width="100" id="logo" name="logo" alt="xMatters mobile access" border="0" align="right" />
      </div>
      <div id="wrapper">
        <div id="scroller">
          <div class="main box">
            <h1>Update Event</h1>
            <div class="lining">
              <form action="<%=response.encodeURL("diffEvent.jsp")%>" method="POST">
                <table>
                  <tr>
                    <th>Field</th>
                    <th>Yours</th>
                    <th>Servers</th>
                  </tr>
                  <%
        
                  // Update if there are more fields to modify
                  List<String> fieldsToModify = new ArrayList<String>();
                  fieldsToModify.add("Severity");
                  fieldsToModify.add("Incident_Text");
        
                  for( String field: fieldsToModify )
                  {
                    Object updatedValue = updatedEvent.get( field );
                    Object oldValue = orgEvent.get( field );
                    Object newValue = oldEvent.get( field );
        
                    if( oldValue != null && newValue != null && !oldValue.equals( newValue ) )
                    {
                      %>
                      <tr>
                        <td><%=field%></td>
                        <td><%=updatedValue%></td>
                        <td><%=newValue%></td>
                      </tr>
                      <%
                    }
                  }
                  %>
                </table>
                <input type="submit" class="button" name="cancelUpdate" value="Cancel"/>
                <input type="submit" class="button" name="forceUpdate" value="Update"/>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </body>
</html>